#---------------------------------------------------------------------------------
#       LIBRARY DEFINITIONS
#---------------------------------------------------------------------------------
LIBUC_LIBS_DIR = $$libuc2/lib

INCLUDEPATH += $$LIBUC_LIBS_DIR/includes \
            $$LIBUC_LIBS_DIR/includes/$$ARCH

LIBUC_BIN_LIBS_DIR = $$LIBUC_LIBS_DIR/bin/$$ARCH

LIBS += -L$$LIBUC_LIBS_DIR/bin/$$ARCH \
         -lsdcard

LIBS += -L$$LIBUC_LIBS_DIR/bin/$$ARCH \
         -lfat32

LIBS += -L$$LIBUC_LIBS_DIR/bin/$$ARCH \
         -lmbr

LIBS += -L$$LIBUC_LIBS_DIR/bin/$$ARCH \
         -luart

LIBS += -L$$LIBUC_LIBS_DIR/bin/$$ARCH \
         -li2c

LIBS += -L$$LIBUC_LIBS_DIR/bin/$$ARCH \
         -lgpio

LIBS += -L$$LIBUC_LIBS_DIR/bin/$$ARCH \
         -lspi

LIBS += -L$$LIBUC_LIBS_DIR/bin/$$ARCH \
         -lcpu

LIBS += -L$$LIBUC_LIBS_DIR/bin/$$ARCH \
         -lcore




LIBUC_LIBS_CORE          = -L $(LIBUC_LIBS_DIR_CORE) -static -lcore
LIBUC_LIBS_DIR_CORE      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_CORE_CMD  = -L $(LIBUC_LIBS_DIR_CORE)
LIBUC_INC_DIR_CORE       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_CORE_CMD   = 

LIBUC_LIBS_CPU          = -static -lcpu
LIBUC_LIBS_DIR_CPU      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_CPU_CMD  = -L $(LIBUC_LIBS_DIR_CPU)
LIBUC_INC_DIR_CPU       = $(LIBUC_INC_DIR)/$(ARCH)
LIBUC_INC_DIR_CPU_CMD   = -I $(LIBUC_INC_DIR_CPU)

LIBUC_LIBS_GPIO          = -static -lgpio
LIBUC_LIBS_DIR_GPIO      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_GPIO_CMD  = -L $(LIBUC_LIBS_DIR_GPIO)
LIBUC_INC_DIR_GPIO       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_GPIO_CMD   = 

LIBUC_LIBS_APB          = -static -lapb
LIBUC_LIBS_DIR_APB      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_APB_CMD  = -L $(LIBUC_LIBS_DIR_APB)
LIBUC_INC_DIR_APB       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_APB_CMD   = 

LIBUC_LIBS_UCSTRINGS         = -static -lucstrings
LIBUC_LIBS_DIR_UCSTRINGS     = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_UCSTRINGS_CMD = -L $(LIBUC_LIBS_DIR_UCSTRINGS)
LIBUC_INC_DIR_UCSTRINGS      = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_UCSTRINGS_CMD  = 

LIBUC_LIBS_UART          = -static -luart
LIBUC_LIBS_DIR_UART      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_UART_CMD  = -L $(LIBUC_LIBS_DIR_UART)
LIBUC_INC_DIR_UART       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_UART_CMD   = 

LIBUC_LIBS_SPI          = -static -lspi
LIBUC_LIBS_DIR_SPI      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_SPI_CMD  = -L $(LIBUC_LIBS_DIR_SPI)
LIBUC_INC_DIR_SPI       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_SPI_CMD   = 

LIBUC_LIBS_SSP           = -static -lssp
LIBUC_LIBS_DIR_SSP       = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_SSP_CMD   = -L $(LIBUC_LIBS_DIR_SSP)
LIBUC_INC_DIR_SSP        = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_SSP_CMD    = 

LIBUC_LIBS_IIC          = -static -liic
LIBUC_LIBS_DIR_IIC      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_IIC_CMD  = -L $(LIBUC_LIBS_DIR_IIC)
LIBUC_INC_DIR_IIC       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_IIC_CMD   = 

LIBUC_LIBS_ADC          = -static -ladc
LIBUC_LIBS_DIR_ADC      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_ADC_CMD  = -L $(LIBUC_LIBS_DIR_ADC)
LIBUC_INC_DIR_ADC       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_ADC_CMD   = 

LIBUC_LIBS_24LC0X           = -static -l24lc0X
LIBUC_LIBS_DIR_24LC0X       = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_24LC0X_CMD   = -L $(LIBUC_LIBS_DIR_24LC0X)
LIBUC_INC_DIR_24LC0X        = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_24LC0X_CMD    = 

LIBUC_LIBS_SDCARD           = -static -lsdcard
LIBUC_LIBS_DIR_SDCARD       = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_SDCARD_CMD   = -L $(LIBUC_LIBS_DIR_SDCARD)
LIBUC_INC_DIR_SDCARD        = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_SDCARD_CMD    = 

LIBUC_LIBS_VS10XX           = -static -lvs10XX
LIBUC_LIBS_DIR_VS10XX       = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_VS10XX_CMD   = -L $(LIBUC_LIBS_DIR_VS10XX)
LIBUC_INC_DIR_VS10XX        = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_VS10XX_CMD    = 

LIBUC_LIBS_BLKDEVICE          = -static -lblkdevice
LIBUC_LIBS_DIR_BLKDEVICE      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_BLKDEVICE_CMD  = -L $(LIBUC_LIBS_DIR_BLKDEVICE)
LIBUC_INC_DIR_BLKDEVICE       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_BLKDEVICE_CMD   = 

LIBUC_LIBS_FAT32           = -static -lfat32
LIBUC_LIBS_DIR_FAT32       = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_FAT32_CMD   = -L $(LIBUC_LIBS_DIR_FAT32)
LIBUC_INC_DIR_FAT32        = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_FAT32_CMD    = 

LIBUC_LIBS_UHANDLE          = -static -luhandle
LIBUC_LIBS_DIR_UHANDLE      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_UHANDLE_CMD  = -L $(LIBUC_LIBS_DIR_UHANDLE)
LIBUC_INC_DIR_UHANDLE       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_UHANDLE_CMD   = 

LIBUC_LIBS_STREAMDEVICES          = -static -lstreamdevices
LIBUC_LIBS_DIR_STREAMDEVICES      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_STREAMDEVICES_CMD  = -L $(LIBUC_LIBS_DIR_STREAMDEVICES)
LIBUC_INC_DIR_STREAMDEVICES       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_STREAMDEVICES_CMD   = 

LIBUC_LIBS_HEXVIEWER          = -static -lhexviewer
LIBUC_LIBS_DIR_HEXVIEWER      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_HEXVIEWER_CMD  = -L $(LIBUC_LIBS_DIR_HEXVIEWER)
LIBUC_INC_DIR_HEXVIEWER       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_HEXVIEWER_CMD   = 

LIBUC_LIBS_MBR           = -static -lmbr
LIBUC_LIBS_DIR_MBR       = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_MBR_CMD   = -L $(LIBUC_LIBS_DIR_MBR)
LIBUC_INC_DIR_MBR        = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_MBR_CMD    = 

LIBUC_LIBS_UCDIRENT          = -static -lucdirent 
LIBUC_LIBS_DIR_UCDIRENT      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_UCDIRENT_CMD  = -L $(LIBUC_LIBS_DIR_UCDIRENT)
LIBUC_INC_DIR_UCDIRENT       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_UCDIRENT_CMD   = 

LIBUC_LIBS_FS           = -static -lfs
LIBUC_LIBS_DIR_FS       = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_FS_CMD   = -L $(LIBUC_LIBS_DIR_FS)
LIBUC_INC_DIR_FS        = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_FS_CMD    = 

LIBUC_LIBS_FSEXPLORER           = -static -lfsexplorer
LIBUC_LIBS_DIR_FSEXPLORER       = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_FSEXPLORER_CMD  	= -L $(LIBUC_LIBS_DIR_FSEXPLORER)
LIBUC_INC_DIR_FSEXPLORER        = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_FSEXPLORER_CMD    = 

LIBUC_LIBS_DIR_ALLFS_CMD        = $(LIBUC_LIBS_DIR_UCDIRENT_CMD) $(LIBUC_LIBS_DIR_FS_CMD) $(LIBUC_LIBS_DIR_MBR_CMD) $(LIBUC_LIBS_DIR_FAT32_CMD) $(LIBUC_LIBS_DIR_SDCARD_CMD) $(LIBUC_LIBS_DIR_BLKDEVICE_CMD)
LIBUC_INC_DIR_ALLFS_CMD         = $(LIBUC_INC_DIR_UCDIRENT_CMD) $(LIBUC_INC_DIR_FS_CMD) $(LIBUC_INC_DIR_MBR_CMD) $(LIBUC_INC_DIR_FAT32_CMD) $(LIBUC_INC_DIR_SDCARD_CMD) $(LIBUC_INC_DIR_BLKDEVICE_CMD)
LIBUC_LIBS_ALLFS                = $(LIBUC_LIBS_UCDIRENT) $(LIBUC_LIBS_FS) $(LIBUC_LIBS_MBR) $(LIBUC_LIBS_FAT32) $(LIBUC_LIBS_SDCARD) $(LIBUC_LIBS_BLKDEVICE)


LIBUC_LIBS_ADS127X          = -static -lads127X
LIBUC_LIBS_DIR_ADS127X      = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_ADS127X_CMD  = -L $(LIBUC_LIBS_DIR_ADS127X)
LIBUC_INC_DIR_ADS127X       = $(LIBUC_INC_DIR)
LIBUC_INC_DIR_ADS127X_CMD   = 


LIBUC_LIBS_NXPLIB           = -static -lnxplib
LIBUC_LIBS_DIR_NXPLIB       = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_NXPLIB_CMD   = -L $(LIBUC_LIBS_DIR_NXPLIB)
LIBUC_INC_DIR_NXPLIB        = $(LIBUC_INC_DIR)/LPCXXXX
LIBUC_INC_DIR_NXPLIB_CMD    = -I $(LIBUC_INC_DIR_NXPLIB)

LIBUC_LIBS_ARMMATH           = -static -larmmath
LIBUC_LIBS_DIR_ARMMATH       = $(LIBUC_LIBS_DIR)
LIBUC_LIBS_DIR_ARMMATH_CMD   = -L $(LIBUC_LIBS_DIR_ARMMATH)
LIBUC_INC_DIR_ARMMATH        = $(LIBUC_INC_DIR)/ARM
LIBUC_INC_DIR_ARMMATH_CMD    = $(LIBUC_INC_DIR_ARMMATH)

















